Revolution Slider y los papeles de Pánama

Contactar con el profesor

¿Qué son los papeles de Pánama?

Se trata de una filtración de más de 10 millones de documentos que vinculan a personas de gran renombre de la política, deporte, arte con la gestión de activos opacos (dinero no declarado a la Hacienda pública).

Toda esta información era almacenada por el buffete de abogados panameño Mossack Fonseca, que trabajaba desde mediados de los años setenta con bancos de primera línea mundial para gestionar este dinero negro.

Entre la gente salpicada directa o indirectamente por este escándolo encontramos al presidente ruso Vladímir Putin, al primer ministro islandés Sigmundur David, al presidente argentino Mauricio Macri, a la hermana del rey, Pilar de Borbón, a los futbolistas Leo Messi, Michel Platini, Iván Zamorano, al director Pedro Almodóvar, al actor Jackie Chan… vamos un… un pastel.

¿Y cómo ha podido ocurrir todo esto y por qué hablo de ello en un blog de tecnología?

La empresa WordFence (que tiene un gran plugin de seguridad para WordPress) analizó los servidores del bufete de abogados en busca de vunerabilidades y llegó a la conclusión de que la filtración pudo deberse a un plugin desactualizado de WordPress, el ya veterano en problemas de seguridad, Revolution Slider.

Ojo que este plugin está presente en infinidad de plantilas de Theme Forest. Si te has descargado una plantilla de este sitio, es probable que lo tengas.

El bufete de abogados cometió otras cagadas de seguridad, si bien el Revolution Slider ya ha tenido varios problemas de seguridad a lo largo de su historia. Personalmente, si quiero un slider que tenga cosas que entren de los lados en cada pase de diapositivas, prefiero el Master Slider, que tiene una interfaz mucho más sencilla de usar que el Revolution Slider y no es tan famoso por sus vulnerabilidades.

Revolution slider

Ya en septiembre del 2014 se publicó una vulnerabilidad del Revolution Slider que permitía ver los contenidos de cualquier archivo del servidor… umm bien pensado, y dado que la página llevaba dos años sin actualizarse, es probable que esta fuese la vulnerabilidad que tuvo la web, una vulnerabilidad que se hubiese corregido actualizando el plugin… hacer dos años.

Sobre las plantillas de theme Forest

Cuando compras una plantilla en esta web, a menudo viene con plugins de pago integrados. Si quieres que estos plugins se actualicen, hay dos opciones, o bien el desarrollador ha integrado un sistema que notifica y actualiza automáticamente la web cuando hay nuevas versiones, o además de la plantilla pagas la licencia de los plugins que estás usando.

En caso de que no se cumplan ninguna de estas opciones, es cuestión de tiempo que te hackeen la página. A veces tarda unos meses y otras, como en este caso, dos años.

← Cambiar letras en Wordpress
¿Cómo configurar Google Analytics en Wordpress? →

Aviso Legal | Política de privacidad